import request from '@/utils/request'

// 查询黑名单管理列表
export function listBlackManage(query) {
  return request({
    url: '/wuYe/blackManage/list',
    method: 'get',
    params: query
  })
}

// 查询黑名单管理详细
export function getBlackManage(blackManageId) {
  return request({
    url: '/wuYe/blackManage/' + blackManageId,
    method: 'get'
  })
}

// 新增黑名单管理
export function addBlackManage(data) {
  return request({
    url: '/wuYe/blackManage',
    method: 'post',
    data: data
  })
}

// 修改黑名单管理
export function updateBlackManage(data) {
  return request({
    url: '/wuYe/blackManage/put',
    method: 'post',
    data: data
  })
}

// 删除黑名单管理
export function delBlackManage(blackManageId) {
  return request({
    url: '/wuYe/blackManage/delete/' + blackManageId,
    method: 'get'
  })
}
